Date: Fri, 10 Sep 2010 13:46:13 +0000
Mime-Version: 1.0 (Produced by PhpWiki 1.4.0RC1)
X-Rcs-Id: $Id: Help%2FWikiAdminUtilsPlugin 7682 2010-09-10 12:03:36Z vargenau $
Content-Type: application/x-phpwiki;
  pagename=Help%2FWikiAdminUtilsPlugin;
  flags=PAGE_LOCKED%2CEXTERNAL_PAGE;
  markup=2;
  charset=UTF-8
Content-Transfer-Encoding: binary

Some special actions for [[PhpWikiAdministration]] and [[PhpWikiDebug]].

== Usage ==
{{{
<<WikiAdminUtils action="purge-cache" >>
<<WikiAdminUtils action="purge-bad-pagenames" >>
<<WikiAdminUtils action="purge-empty-pages" >>
<<WikiAdminUtils action="access-restrictions" >>
<<WikiAdminUtils action="email-verification" >>
<<WikiAdminUtils action="convert-cached-html" >>
<<WikiAdminUtils action="db-check" >>
<<WikiAdminUtils action="db-rebuild" >>
}}}

== Arguments ==

{| class="bordered"
|-
! Argument
! Description
! Default value
|-
| **action**
| Valid action are: "purge-cache", "purge-bad-pagenames", "purge-empty-pages", "access-restrictions", "email-verification", "convert-cached-html", "db-check" and "db-rebuild"
| //None//
|-
| **label**
| Custom button text
| Each action has a default button text
|}

== Example ==

{{{
<<WikiAdminUtils action="purge-cache" >>
}}}

<<WikiAdminUtils action="purge-cache" >>

== Authors ==
* [[PhpWiki:JeffDairiki|Jeff Dairiki]]
* [[PhpWiki:ReiniUrban|Reini Urban]]

== See Also ==
* [[PhpWikiAdministration]]

<noinclude>
----
[[PhpWikiDocumentation]] [[CategoryWikiPlugin]]
</noinclude>
